$ErrorActionPreference = 'Stop';

$packageName= 'datastar'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = 'https://datastar.software/download/DataStar.x86.2.6.0.9.msi' 
  url64bit      = 'https://datastar.software/download/DataStar.x64.2.6.0.9.msi' 
  softwareName  = 'DataStar*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '5181002C1AB05F4F3B952715058162DB5E96729FAFA2AA7A7D3E8EE5BCCB4729'
  checksum64    = '96B0674F1783F2EF02E48D738CAF7434E6D4604FBC998E0C80D8B9800AB24D91'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksumType64= 'sha256' #default is md5, can also be sha1, sha256 or sha512
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs

